Bug 478162 - Back-java doesn't support dynamic config
Back-java doesn't support dynamic config
Status: NEW
Product: penrose
Classification: Retired
Component: Integration (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 03:05 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:05:02 EST
After following the instructions on:

http://docs.safehaus.org/display/PENROSE10/Building+OpenLDAP+Server
http://docs.safehaus.org/display/PENROSE10/OpenLDAP

I received the following error in slapd's log:

slapd: slapd startup: initiated.
slapd: ==> java_back_open()
slapd: <== java_back_open()
slapd: backend_startup_one: starting "cn=config"
slapd: config_back_db_open
slapd: config_build_entry: "cn=config"
slapd: config_build_entry: "cn=include{0}"
slapd: config_build_entry: "cn=module{0}"
slapd: config_build_entry: "cn=schema"
slapd: config_build_entry: "cn={0}core"
slapd: WARNING: No dynamic config support for backend java.
slapd: config_build_entry: "olcDatabase={-1}frontend"
slapd: config_build_entry: "olcDatabase={0}config"
slapd: WARNING: No dynamic config support for database java.
slapd: config_build_entry: "olcDatabase={1}java"
slapd: backend_startup_one: starting "dc=Example,dc=com"
slapd: ==> java_back_db_open()
slapd: Creating JVM...
slapd: Getting default JVM initialization arguments...
slapd: Counting options...
slapd: Creating 2 option(s):
slapd: [0]
-Djava.ext.dirs=/usr/local/penrose/lib:/usr/local/penrose/lib/ext
slapd: [1] -Dpenrose.home=/usr/local/penrose

Slapd doesn't actually finish starting.  I'm running openldap-2.3.27.


Additional Comments From itegebo dated Tue Mar 13 14:38:21 CDT 2007 
Does "Fix Version/s - Penrose -1.2 [10088]" mean that the issue has been resolved in the1.2 branch already, or does it mean that it will be fixed by 1.2 release?


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Integration',
                              'id' => '10018'
                            }
                          ],
          'reporter' => 'itegebo',
          'key' => 'PENROSE-184',
          'assignee' => 'jimyang',
          'summary' => 'back-java doesn't support dynamic config',
          'id' => '10538',
          'updated' => '2007-10-23 15:39:32.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-09-18 00:00:00.0',
                                 'sequence' => '18',
                                 'name' => 'Penrose-1.1',
                                 'released' => 'true',
                                 'id' => '10037',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'After following the instructions on:

http://docs.safehaus.org/display/PENROSE10/Building+OpenLDAP+Server
http://docs.safehaus.org/display/PENROSE10/OpenLDAP

I received the following error in slapd's log:

slapd: slapd startup: initiated.
slapd: ==> java_back_open()
slapd: <== java_back_open()
slapd: backend_startup_one: starting "cn=config"
slapd: config_back_db_open
slapd: config_build_entry: "cn=config"
slapd: config_build_entry: "cn=include{0}"
slapd: config_build_entry: "cn=module{0}"
slapd: config_build_entry: "cn=schema"
slapd: config_build_entry: "cn={0}core"
slapd: WARNING: No dynamic config support for backend java.
slapd: config_build_entry: "olcDatabase={-1}frontend"
slapd: config_build_entry: "olcDatabase={0}config"
slapd: WARNING: No dynamic config support for database java.
slapd: config_build_entry: "olcDatabase={1}java"
slapd: backend_startup_one: starting "dc=Example,dc=com"
slapd: ==> java_back_db_open()
slapd: Creating JVM...
slapd: Getting default JVM initialization arguments...
slapd: Counting options...
slapd: Creating 2 option(s):
slapd: [0]
-Djava.ext.dirs=/usr/local/penrose/lib:/usr/local/penrose/lib/ext
slapd: [1] -Dpenrose.home=/usr/local/penrose

Slapd doesn't actually finish starting.  I'm running openldap-2.3.27.

',
          'created' => '2006-10-25 00:17:21.0',
          'environment' => '6.1-RELEASE-p3 FreeBSD i386',
          'type' => '2'
        };


=========================================================

Note You need to log in before you can comment on or make changes to this bug.